import "./App.sass"

function App() {
  return (
    <>
      <div id="header">
        <h1>Doorlock Systems</h1>
        <div id="header__search"><input id="header__search__input" type="text" placeholder="..."></input><button>Search</button></div>
        <div id="header__menu">
          <ul>
            <li><a>User Settings</a></li>
            <li><a>Logout</a></li>
          </ul>
        </div>
      </div>
      <div id="menu">
        <h3>Menu</h3>
        <ul>
          <li><a className="menu__active">Status</a></li>
          <li><a>Account</a></li>
          <li><a>Log</a></li>
          <li><a>Backup</a></li>
          <li><a>Admin</a></li>
        </ul>
      </div>
      <div id="main">
      <div className="main__card">
          <h4>Add User</h4>
          <hr />
          <p>Add new user</p>
          <p><label>First Name</label><input type="text"></input></p>
          <p><label>Last Name</label><input type="text"></input></p>
          <p><label>PIN</label><input type="text"></input></p>
          <p><label>RFID</label><input type="text"></input><button>Scan</button></p>
          <p><label>Expire Date</label><input type="date"></input></p>
          <button>Add</button>
        </div>
        <div className="main__card">
          <h4>Recent Activity</h4>
          <hr />
          <table>
            <thead>
              <tr>
                <td>Name</td>
                <td>Method</td>
                <td>Time</td>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td>Max Mustermann</td>
                <td>RFID</td>
                <td>1.10.2020 08:30</td>
              </tr>
            </tbody>
          </table>
        </div>
        <div className="main__card">
          <h4>System Status</h4>
          <hr />
          <p>Uptime: since 3days 15hours</p>
          <p>LastDB Update: before 7hours</p>
          <p>Last administrator login: Admin (12.9.2021 09:30)</p>
        </div>
      </div>
      <div id="footer">Footer</div>
    </>
  );
}

export default App;
